Saxon API for .NET |

# XdmItem Members

XdmItem overview

#### Public Instance Properties

Count (inherited from XdmValue) | Get the number of items in the sequence

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator (inherited from XdmValue) | Get the sequence of items in the form of an `IEnumerator`
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetList (inherited from XdmValue) | Get the sequence of items in the form of an `IList`
GetType (inherited from Object) | Gets the Type of the current instance.
IsAtomic | Determine whether the item is an atomic value
ToString (inherited from Object) | Returns a String that represents the current Object.
Unwrap (inherited from XdmValue) | Extract the underlying Saxon ValueRepresentation object from an XdmValue. This method is provided for the benefit of applications that need to mix use of the Saxon .NET API with direct use of the underlying objects and methods offered by the Java implementation.

#### Protected Instance Constructors

XdmItem Constructor | Initializes a new instance of the XdmItem class.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XdmItem Class | Saxon.Api Namespace